Communauté
Fusion - Français
Bienvenue sur les forums Fusion (anciennement Fusion 360) d’Autodesk. Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets Fusion populaires.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

Fusion 360 : API Offset comprendre le fonctionnement

3 RÉPONSES 3
RÉSOLU
Répondre
Message 1 sur 4
lionel.courgnaud
269 Visites, 3 Réponses

Fusion 360 : API Offset comprendre le fonctionnement

Bonjour,

 

J'essaye désespérement de scripter un ensemble de tâches mais je rencontre des problèmes dont celui-ci.

J'ai un mesh 3D importé et transformé en BRepBodies.

J'ai une moulinette qui créer un sketch sur chaque face de mon BRepBody (ça fonctionne bien).

Je souhaite ensuite créer un offset (vers l'intérieur) des contours de tous ces sketches.

Comme je ne maitrise pas le sens de l'offset (intérieur ou extérieur) du tracé, j'ai fait ce genre de chose :

 

curves = newSketch.findConnectedCurves(newSketch.sketchCurves.item(0))
point = newSketch.sketchPoints.item(2) #pourquoi 2  ? ça ne marche pas sur le 1 par exemple.
dirPoint = adsk.core.Point3D.create(point.geometry.x, point.geometry.y + 0.5, 0) # j'ai essayé plusieurs points
offsetCurves = newSketch.offset(curves,dirPoint, retract) # retract est un paramètre utilisateur
 
# controle des périmètres et ne garder que le plus petit
if(newSketch.profiles.item(1).areaProperties(adsk.fusion.CalculationAccuracy.MediumCalculationAccuracy).perimeter > \
newSketch.profiles.item(0).areaProperties(adsk.fusion.CalculationAccuracy.MediumCalculationAccuracy).perimeter😞
         for j in range(0, offsetCurves.count😞
                  offsetCurves.item(j).deleteMe()    # supprimer le premier offset qui est visiblement 'extérieur'
                  offsetCurves = newSketch.offset(curves,dirPoint, -retract)   # creer un offset 'inversé' si besoin
 
 
mon soucis vient de l'offset qui semble ne pas s'appliquer partout pareil sur mon Body. Ce que je comprend de mon erreur c'est que tout dépend de la variable point mais je ne comprend pas comment mieux l'utiliser et comment elle fonctionne avec l'offset. Doit-elle être dépendante de l'orientation de mon sketches dans l'espace de travail ?!
 
Il y a peut-être bien plus simple ?
 
Merci de votre aide.

Le titre du sujet a été modifié par un modérateur pour faciliter la recherche. Titre original:
API Offset comprendre le fonctionnement
 

 

3 RÉPONSES 3
Message 2 sur 4
JeromeBriot
en réponse à: lionel.courgnaud


@lionel.courgnaud wrote:
mon soucis vient de l'offset qui semble ne pas s'appliquer partout pareil sur mon Body.

 


C'est à dire. Une ou deux capture d'écran permettrait sans doute d'y voir plus clair.

 


@lionel.courgnaud wrote:
Il y a peut-être bien plus simple ?

 


Que cherches-tu à faire exactement ? Il y a des outils assez puissants dans Meshmixer pour appliquer un décalage sur un maillage.

 

Note : pour mettre en forme le code Python dans un message, il suffit d'utiliser le bouton </> dans la barre d'outil de la zone d'édition du message. Choisir Python comme langage pour obtenir la coloration syntaxique associée à ce langage..

Message 3 sur 4
patrick.emin
en réponse à: lionel.courgnaud

Bonjour @lionel.courgnaud , que pensez-vous des suggestions qui vous ont été faites ?


Patrick Emin animateur de la communauté francophone


Vous avez trouvé un message utile? Alors donnez un "J'aime" à ce message!
Votre question a eu une réponse satisfaisante? Voulez vous avoir l'amabilité de cliquer sur le bouton
 APPROUVER LA SOLUTION  en bas de la réponse qui apporte une solution?
Signez notre Livre d'Or
Message 4 sur 4
lionel.courgnaud
en réponse à: JeromeBriot

Bonjour,

 

Je souhaitais créer un offset (intérieur) à partir d'un nouveau sketch.

Sur la capture, la sélection représente les lignes de références pour l'offset.

Je fais un offset avec une valeur positive et un autre avec une valeur négative.

Mon but étant de ne garder que celui qui est à l'intérieur de mon sketch.

Pour cette partie, je calcule le périmètre du nouvel offset et si il est > aux lignes de références, je le garde.

 

Capture d’écran 2022-04-08 à 10.15.58.png

 

Par contre, mon offset avait beau indiquer la bonne valeur (3mm dans mon exemple), il ne représentait pas toujours ces 3mm.

 

J'ai fini par y arriver avec une meilleur gestion du 2ème paramètre de la création d'offset (la direction)

Je me suis appuyé sur une ligne de construction perpendiculaire à l'une les lignes du sketch.

 

Capture d’écran 2022-04-08 à 10.24.17.png

 

En indiquant cette ligne comme direction d'offset, la valeur de mon offset est maintenant respectée. 

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums  

Autodesk Design & Make Report